Package com.xebialabs.deployit.plugin.api.udm.artifact

## Interface Artifact

- All Superinterfaces:
    `ConfigurationItem`, `java.io.Serializable`
  All Known Subinterfaces:
    `ArchiveArtifact`, `DeployableArtifact`, `DerivedArtifact<D>`, `FileArtifact`, `FolderArtifact`, `SourceArtifact`
  All Known Implementing Classes:
    `BaseAppliedProvisionerArtifact`, `BaseDeployableArchiveArtifact`, `BaseDeployableArtifact`, `BaseDeployableFileArtifact`, `BaseDeployableFolderArtifact`, `BaseDeployedArtifact`, `BaseDeployedInfrastructureAsCode`, `BaseProvisionerArtifact`, `EmbeddedDeployableArtifact`, `EmbeddedDeployedArtifact`

      @TypeIcon("icons/types/udm.Artifact.svg")
      public interface Artifact
      extends ConfigurationItem

  Artifacts are files containing application resources such as code or images. The following are examples of artifacts:
  - a WAR file.
  - an EAR file.
  - a folder containing static content such as HTML pages or images.

- - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.xebialabs.overthere.OverthereFile` | `getFile()` |
    `void` | `setFile​(com.xebialabs.overthere.OverthereFile file)` |

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Method Detail

    - #### getFile

          com.xebialabs.overthere.OverthereFile getFile()

      Returns:
        A representation of a file that can be access through an Overthere connection.

    - #### setFile

          void setFile​(com.xebialabs.overthere.OverthereFile file)

      Parameters:
        `file` - A representation of a file that can be access through an Overthere connection.